<?php $this->addCSS('templates/default/css/imagegrid.css'); ?>
<?php $this->addJS('templates/default/js/modernizr.custom.26633.js'); ?>
<?php $this->addJS('templates/default/js/jquery.gridrotator.js'); ?>

<?php if ($photos){ ?>
        
    <div id="ri-grid" class="ri-grid">
        <ul>  
        <?php if (is_array($photos)){ ?>
            <?php foreach($photos as $photo){ ?>
                <li>
                    <a href="<?php echo href_to('photos/view', $photo['id']); ?>"><?php echo html_image($photo['image'], 'normal', $photo['title']); ?></a>
                </li>
            <?php } ?>
        <?php } ?>
        </ul>
    </div>

    <script type="text/javascript">    
        $(function() {
            $( '#ri-grid' ).gridrotator({                
                w768      : { rows : <?php echo $w768raws ?>, columns : <?php echo $w768columns ?> },
                w320      : { rows : <?php echo $w320raws ?>, columns : <?php echo $w320columns ?> },
                step      : <?php echo $step ?>,
                maxStep   : <?php echo $max_step ?>,
                animTypes : [<?php if (is_array($animation_types)) { foreach ($animation_types as $ani_type){ echo "'".$ani_type."', \n"; } }  ?>],
                animSpeed : <?php echo $animation_speed ?>,
                interval  : <?php echo $interval ?>,
                slideshow : true,
                onhover   : false,
                nochange  : []
            });

        });
    </script>

<?php } ?>


